package cn.com.qmth.examcloud.core.basic.dao.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.commons.web.helpers.tree.TreeNode;

/**
 * 功能
 * 
 * @author wang wei
 * @date 2018年4月9日
 */
@Entity
@Table(name = "ecs_core_function")
public class Function implements Serializable, TreeNode {

	private static final long serialVersionUID = -3894524658332441373L;

	@Id
	@GeneratedValue
	@Column(name = "id")
	private Long funcId;

	/**
	 * 功能编码
	 */
	@NotNull
	private String funcCode;

	/**
	 * 父功能id
	 */
	@NotNull
	@Column(name = "parent_id")
	private Long parentFuncId;

	/**
	 * 功能名称
	 */
	@NotNull
	private String funcName;

	/**
	 * 描述
	 */
	@NotNull
	private String description;

	/**
	 * 权重
	 */
	@NotNull
	private int weigth;

	public Long getFuncId() {
		return funcId;
	}

	public void setFuncId(Long funcId) {
		this.funcId = funcId;
	}

	public String getFuncCode() {
		return funcCode;
	}

	public void setFuncCode(String funcCode) {
		this.funcCode = funcCode;
	}

	public Long getParentFuncId() {
		return parentFuncId;
	}

	public void setParentFuncId(Long parentFuncId) {
		this.parentFuncId = parentFuncId;
	}

	public String getFuncName() {
		return funcName;
	}

	public void setFuncName(String funcName) {
		this.funcName = funcName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public int getWeigth() {
		return weigth;
	}

	public void setWeigth(int weigth) {
		this.weigth = weigth;
	}

	@Override
	public String getId() {
		return String.valueOf(this.funcId);
	}

	@Override
	public void setId(String id) {
		this.funcId = Long.parseLong(id);
	}

	@Override
	public String getName() {
		return this.funcName;
	}

	@Override
	public void setName(String name) {
		this.funcName = name;
	}

	@Override
	public String getParentId() {
		return String.valueOf(this.parentFuncId);
	}

	@Override
	public void setParentId(String parentId) {
		this.parentFuncId = Long.parseLong(parentId);
	}

}
