package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.helpers.tree.TreeNode;
import cn.com.qmth.examcloud.commons.web.support.JpaEntitySupport;

/**
 * 权限
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_PRIVILEGE")
public class Privilege extends JpaEntitySupport implements TreeNode {

	private static final long serialVersionUID = -6288949236298877031L;

	/**
	 * 权限ID
	 */
	@Id
	private String id;

	/**
	 * 权限名称
	 */
	@Column(unique = true, nullable = false)
	private String name;

	/**
	 * 父权限ID
	 */
	private String parentId;

	/**
	 * 域(区分系统)
	 */
	@Column(unique = true, nullable = false)
	private String domain;

	/**
	 * 组(权限分组,同一组的权限构成权限树)
	 */
	@Column(unique = false, nullable = false)
	private String groupId;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getGroupId() {
		return groupId;
	}

	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

}
